# frozen_string_literal: true

lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "statscloud/version"

Gem::Specification.new do |spec|
  spec.name          = "statscloud"
  spec.version       = StatsCloud::VERSION
  spec.authors       = ["Roman Ovcharov"]
  spec.email         = ["roman.o.as@agiliumlabs.com"]

  spec.summary       = "StatsCloud service."
  spec.description   = "PaaS application monitoring system."
  spec.homepage      = "https://statscloud.io"
  spec.license       = "Agilium Labs LLC"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "crc32", "~> 1.0.1"
  spec.add_dependency "eventmachine", "~> 1.2"
  spec.add_dependency "fileutils"
  spec.add_dependency "leon", "~> 1.1"
  spec.add_dependency "logger", "~> 1.2"
  spec.add_dependency "rest-client", "~> 2.0.2"
  spec.add_dependency "statscloud.io-ruby-socket.io-client-simple", "~> 1.2.1.pre.3"

  spec.add_development_dependency "activesupport", "~> 5.2.2"
  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "rubocop", "~> 0.61.1"
end
